#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a(n), b(n);

    for(int i = 1; i <= 2 * n; i++)
    {
        if(i % 2 == 0) a[(i - 1) / 2] = i;
        else b[(i - 1) / 2] = i;
    }

    for(int x : a) cout << x << " "; cout << endl;
    for(int x : b) cout << x << " ";

    return 0;
}